| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Parser
Parser.Tabular

# Method Parser.Tabular()->fetch()

Method fetch

  `mapping fetch(void|array|mapping format)`

Description

  This function consumes as much input as needed to parse the full tabular structures at once.

Parameter `format`

  Describes (precompiled only) formats to be parsed. If no format is specified, the format specified on create() is used, and empty lines are automatically skipped.

Returns

  A nested mapping that contains the complete structure as described in the specified format.

  If nothing matches the specified format, no input is consumed (except empty lines, if the default format is used), and zero is returned.

See also

  compile() , create() , setformat() , skipemptylines()